TWAP resolution for one closed market
curl --request GET \
--url https://api.vatic.trading/api/v1/twap/resolveimport requests
url = "https://api.vatic.trading/api/v1/twap/resolve"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vatic.trading/api/v1/twap/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/twap/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/twap/resolve"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/twap/resolve")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/twap/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyChainlink TWAP
TWAP Market Resolution
Beta endpoint comparing a closed market’s opening target price, old snapshot-style close price, and candidate Chainlink TWAP settlement reference.
GET
/
api
/
v1
/
twap
/
resolve
TWAP resolution for one closed market
curl --request GET \
--url https://api.vatic.trading/api/v1/twap/resolveimport requests
url = "https://api.vatic.trading/api/v1/twap/resolve"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vatic.trading/api/v1/twap/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/twap/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/twap/resolve"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/twap/resolve")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/twap/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyCompares one closed market’s target price, snapshot close, and Chainlink TWAP closing reference.
Example BTC 5m market:
Target / price-to-beat:
Snapshot close / old spot close:
30s TWAP close (this example predates the 2026-08-14 window upgrade — use
All-in-one comparison:
slug: btc-updown-5m-1785603000
start: 1785603000
end: 1785603300
utc: 2026-08-01 16:50:00 -> 16:55:00
curl "https://api.vatic.trading/api/v1/targets/timestamp?asset=btc&type=5min×tamp=1785603000"
curl "https://api.vatic.trading/api/v1/targets/timestamp?asset=btc&type=5min×tamp=1785603300"
window=60 for a current 5min market):
curl "https://api.vatic.trading/api/v1/twap/report?asset=btc&window=30×tamp=1785603300"
curl "https://api.vatic.trading/api/v1/twap/resolve?asset=btc&type=5min&marketStart=1785603000"
Query Parameters
Available options:
btc, eth, sol, xrp, hype, doge, bnb Available options:
5min, 15min, 4hour Closed market start timestamp. Alternatively pass any timestamp inside the market via timestamp.
Example:
1785599100
Response
Target vs TWAP comparison
Was this page helpful?